/*
	LUSScreenSaver Plugin LUSSSMessage ( Ticking Message )
	Copyright (C) 2003 ONO,Masayuki.<mono101@skill-engineering.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _LESS_UNSATICEFACTORY_SCREENSAVER_MESSAGE_SETTING_H_
#define _LESS_UNSATICEFACTORY_SCREENSAVER_MESSAGE_SETTING_H_

#include <qvariant.h>
#include <qdialog.h>

class QVBoxLayout;
class QHBoxLayout;
class QComboBox;
class QPixmap;
class QGridLayout;
class QLabel;
class QLineEdit;
class QPushButton;
class QSpinBox;
class QGroupBox;
class QCheckBox;

class LUSSSMessageSetting : public QDialog
{
Q_OBJECT

public:
	LUSSSMessageSetting( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
	~LUSSSMessageSetting();

private:
	QVBoxLayout*	BaseLayout;

	QGroupBox*		BaseGroupBox;
	QVBoxLayout*	BaseGroupBoxLayout;
	QLabel*			MessageLabel;
	QLineEdit* 		MessageEdit;

	QHBoxLayout*	IntervalLayout;
	QLabel*			IntervalLabel;
	QSpinBox*		IntervalSpin;

	QHBoxLayout*	ColorButtonsLayout;
	QLabel*			FontColorLabel;
	QLabel*			FontColorDisp;
	QPushButton*	FontColorButton;
	QLabel*			BackgroundColorLabel;
	QLabel*			BackgroundColorDisp;
	QPushButton*	BackgroundColorButton;

	QHBoxLayout*	FontSetsLayout;
	QComboBox*		FontFamilyCombo;
	QComboBox*		FontPointSizeCombo;

	QHBoxLayout*	ChecksLayout;
	QCheckBox*		ItalicCheck;
	QCheckBox*		UnderlineCheck;
	QCheckBox*		StrikeOutCheck;

	QHBoxLayout*	DefButtonsLayout;
	QPushButton*	PushButton1;
	QPushButton*	PushButton2;

protected:
	void closeEvent( QCloseEvent * );

protected slots:
	void accept();
	void selectFontColor();
	void selectedFontColor( QRgb );
	void selectBackgroundColor();
	void selectedBackgroundColor( QRgb );
	void changedFontFamily( const QString& );
};

#endif // _LESS_UNSATICEFACTORY_SCREENSAVER_MESSAGE_SETTING_H_
